//=============================================================================
// Toms_GameTitleSkip
// by Faytless / Thomas Pham
// Date: 10/25/2015
//=============================================================================
 
/*:
 * @plugindesc This plugin will take you directly to Hero Start Point.
 * @author Faytless / Thomas Pham
 *
 */
 
(function() {

  var parameters = PluginManager.parameters('Toms_GameTitleSkip');
  var _Scene_Title_Manager = Scene_Title.prototype.start;
  var _Scene_Title_BackgroundClear = Scene_Title.prototype.createBackground;
  var _Scene_Title_ClearText =  Scene_Title.prototype.drawGameTitle;

	
	
  Scene_Title.prototype.start = function()

  {
    this.fadeOutAll();
    SceneManager.goto(Scene_Map);
  };
 
 Scene_Title.prototype.createBackground = function(){
    this._backSprite1 = new Sprite(ImageManager.loadTitle1());
    this._backSprite2 = new Sprite(ImageManager.loadTitle2());
    this.addChild(this._backSprite1);
    this.addChild(this._backSprite2);
 }
 
 Scene_Title.prototype.drawGameTitle = function() {
    var x = 20;
    var y = Graphics.height / 3;
    var maxWidth = Graphics.width - x * 2;
    var text = $dataSystem.gameTitle;
    this._gameTitleSprite.bitmap.outlineColor = 'black';
    this._gameTitleSprite.bitmap.outlineWidth = 8;
    this._gameTitleSprite.bitmap.fontSize = 0;
    this._gameTitleSprite.bitmap.drawText(text, x, y, maxWidth, 48, 'center');
};


 
 
 
 
 
 
})();